Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Name:      	hunspell
Summary:   	Hunspell is a spell checker and morphological analyzer library
Version:   	1.2.12
Release:   	1
Source:    	http://downloads.sourceforge.net/%{name}/hunspell-%{version}.tar.gz
Group:     	System/Libraries
URL:       	http://hunspell.sourceforge.net/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	i686
License:   	LGPLv2+ or GPLv2+ or MPLv1.1
BuildRequires: 	libtool
# FIXME : remove after firefox, xulrunner and OOo got rebuilt
Provides:	libhunspell.so.1 

BuildRequires: pkg-config

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: ncurses-devel
BuildRequires: readline-devel

%description
Hunspell is a spell checker and morphological analyzer library and program 
designed for languages with rich morphology and complex word compounding or 
character encoding. Hunspell interfaces: Ispell-like terminal interface using 
Curses library, Ispell pipe interface, OpenOffice.org UNO module.

%package devel
Requires: 	hunspell = %{version}-%{release}, pkgconfig
Summary: 	Files for developing with hunspell
Group: 		Development/Libraries

%description devel
Includes and definitions for developing with hunspell

%prep
%setup -q

%build
libtoolize --automake --force
aclocal -I m4
autoconf
automake
%configure --disable-static  --with-ui --with-readline
for i in man/*.? man/hu/*.?; do
    iconv -f ISO-8859-2 -t UTF-8 $i > $i.new
    mv -f $i.new $i
done
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
%find_lang %{name}
rm -f $RPM_BUILD_ROOT/%{_bindir}/example
mkdir $RPM_BUILD_ROOT/%{_datadir}/myspell
#mv $RPM_BUILD_ROOT/%{_includedir}/*munch* $RPM_BUILD_ROOT/%{_includedir}/%{name}


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README README.myspell COPYING COPYING.LGPL COPYING.MPL AUTHORS AUTHORS.myspell license.hunspell license.myspell THANKS
%{_bindir}/affixcompress
%{_bindir}/hunspell
%{_bindir}/hunzip
%{_bindir}/hzip
%{_bindir}/ispellaff2myspell
%{_bindir}/makealias
%{_bindir}/wordforms
%{_bindir}/wordlist2hunspell
%{_libdir}/libhunspell-1.2.so.*
%{_locale}/hu/LC_MESSAGES/hunspell.mo
%{_locale}/it/LC_MESSAGES/hunspell.mo
%{_mandir}/hu/man1/hunspell.1.gz
%{_mandir}/hu/man4/hunspell.4.gz
%{_mandir}/man1/hunspell.1.gz
%{_mandir}/man1/hunzip.1.gz
%{_mandir}/man1/hzip.1.gz
%{_mandir}/man4/hunspell.4.gz

%files devel
%defattr(-,root,root,-)
%{_bindir}/analyze
%{_bindir}/chmorph
%{_bindir}/munch
%{_bindir}/unmunch
%{_includedir}/hunspell
%{_libdir}/libhunspell-1.2.la
%{_libdir}/libhunspell-1.2.so
%{_libdir}/libparsers.a
%{_pkgconfig}/hunspell.pc
%{_mandir}/man3/hunspell.3.gz

%changelog
* Thu Jul 15 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.2.12-1
- Version update
* Wed Feb 25 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.2.8-2
- removed pkgconfig patch
* Wed Feb 25 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.2.8-1
- Version update
* Thu Jan 24 2008 Christian Metzen <metzench@ccux-linux.de> 1.2.1-1
- Initial release
